
Redmine - Defect #38998

Mentions of users with "@" in their username

2023-08-30 11:49 - Christian Ries

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.4

Description

When the username is an email address (user@mydomain.com) no email notification are sent/received.

This issue was reported and apparently fixed in #37138 but it persists in 5.0.5.

I did a test by removing the @mydomain.com part and the email was sent.

History

#1 - 2023-08-30 11:57 - Christian Ries

Environment:

  Redmine version                5.0.5.stable

  Ruby version                   3.0.2-p107 (2021-07-07) [x86_64-linux-gnu]

  Rails version                  6.1.7.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

#2 - 2023-08-30 14:24 - Christian Ries

I'm sorry, it was a problem on my side... this ticket can be considered "fake news"

#3 - 2023-08-30 14:30 - Christian Ries

The problem was that I mentioned myself in an issue but I had the notification settings set to " I don't want to be notified of changes that I make

myself "

When another user mentions me it works just fine! ;)

#4 - 2023-08-30 17:19 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for the clarification. Closing as invalid.
